/**
 * Made with Marlin Bitmap Converter
 * https://marlinfw.org/tools/u8glib/converter.html
 *
 */
#pragma once

#define BMPWIDTH  32

const unsigned char bitmap_sun[] PROGMEM = {
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x01,0x80,0x00, // ...............##...............
  0x00,0x01,0x80,0x00, // ...............##...............
  0x00,0x01,0x80,0x00, // ...............##...............
  0x00,0x01,0x80,0x00, // ...............##...............
  0x06,0x00,0x00,0xC0, // .....##.................##......
  0x07,0x0F,0xF1,0xC0, // .....###....########...###......
  0x03,0x1F,0xF9,0x80, // ......##...##########..##.......
  0x00,0x70,0x0E,0x00, // .........###........###.........
  0x00,0xE0,0x07,0x00, // ........###..........###........
  0x00,0xC0,0x03,0x00, // ........##............##........
  0x01,0x80,0x01,0x80, // .......##..............##.......
  0x01,0x80,0x01,0x80, // .......##..............##.......
  0x01,0x00,0x00,0x80, // .......#................#.......
  0x3B,0x00,0x00,0xDC, // ..###.##................##.###..
  0x7B,0x00,0x00,0xDE, // .####.##................##.####.
  0x03,0x00,0x00,0xC0, // ......##................##......
  0x01,0x80,0x01,0x80, // .......##..............##.......
  0x01,0x80,0x01,0x80, // .......##..............##.......
  0x01,0x80,0x01,0x80, // .......##..............##.......
  0x00,0xC0,0x03,0x00, // ........##............##........
  0x00,0x60,0x06,0x00, // .........##..........##.........
  0x00,0x38,0x1C,0x00, // ..........###......###..........
  0x03,0x9F,0xF9,0x80, // ......###..##########..##.......
  0x07,0x07,0xE1,0xC0, // .....###.....######....###......
  0x06,0x00,0x00,0xE0, // .....##.................###.....
  0x00,0x01,0x80,0x60, // ...............##........##.....
  0x00,0x01,0x80,0x00, // ...............##...............
  0x00,0x01,0x80,0x00, // ...............##...............
  0x00,0x01,0x80,0x00, // ...............##...............
  0x00,0x01,0x80,0x00, // ...............##...............
  0x00,0x00,0x00,0x00  // ................................
};

/**
 * This bitmap from the file 'cloud.png'
 */
const unsigned char bitmap_cloud[] PROGMEM = {
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x3C,0x00,0x00, // ..........####..................
  0x00,0xFF,0x00,0x00, // ........########................
  0x01,0xE3,0x00,0x00, // .......####...##................
  0x01,0xC1,0xF8,0x00, // .......###.....######...........
  0x03,0x81,0xFC,0x00, // ......###......#######..........
  0x03,0x00,0xC6,0x00, // ......##........##...##.........
  0x03,0x00,0x06,0x00, // ......##.............##.........
  0x07,0x00,0x03,0x00, // .....###..............##........
  0x1F,0x80,0x03,0xC0, // ...######.............####......
  0x3D,0x80,0x06,0xE0, // ..####.##............##.###.....
  0x38,0x80,0x00,0x78, // ..###...#................####...
  0x30,0x00,0x00,0x7C, // ..##.....................#####..
  0x30,0x00,0x00,0x04, // ..##.........................#..
  0x30,0x00,0x00,0x0C, // ..##........................##..
  0x38,0x00,0x00,0x0C, // ..###.......................##..
  0x1F,0xE0,0x00,0x38, // ...########...............###...
  0x0F,0xFF,0xFF,0xF0, // ....########################....
  0x00,0x7F,0xFF,0xC0, // .........#################......
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x00,0x00  // ................................
};


const unsigned char bitmap_umbrella[] PROGMEM = {
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0x40,0x00, // .................#..............
  0x00,0x00,0xE0,0x00, // ................###.............
  0x00,0x00,0xE0,0x00, // ................###.............
  0x00,0x00,0xE2,0x00, // ................###...#.........
  0x00,0x20,0x67,0x00, // ..........#......##..###........
  0x00,0x30,0x07,0x00, // ..........##.........###........
  0x00,0x70,0x07,0x00, // .........###.........###........
  0x00,0x71,0x83,0x00, // .........###...##.....##........
  0x00,0x73,0xFE,0x00, // .........###..#########.........
  0x00,0x1F,0xFF,0x80, // ...........##############.......
  0x00,0x3F,0xB1,0xC0, // ..........#######.##...###......
  0x00,0xFC,0x98,0xE0, // ........######..#..##...###.....
  0x01,0xD8,0x88,0x60, // .......###.##...#...#....##.....
  0x03,0xB0,0x8C,0x60, // ......###.##....#...##...##.....
  0x07,0x20,0x8C,0x30, // .....###..#.....#...##....##....
  0x06,0x60,0xBD,0x30, // .....##..##.....#.####.#..##....
  0x0C,0x7F,0xFF,0xF0, // ....##...###################....
  0x0F,0xFF,0xCE,0xF0, // ....##############..###.####....
  0x0F,0xE1,0x84,0x20, // ....#######....##....#....#.....
  0x0E,0xC1,0x00,0x00, // ....###.##.....#................
  0x00,0x01,0x00,0x00, // ...............#................
  0x00,0x01,0x00,0x00, // ...............#................
  0x00,0x01,0x00,0x00, // ...............#................
  0x00,0x01,0x00,0x00, // ...............#................
  0x00,0x01,0x08,0x00, // ...............#....#...........
  0x00,0x01,0x1C,0x00, // ...............#...###..........
  0x00,0x01,0x18,0x00, // ...............#...##...........
  0x00,0x01,0x98,0x00, // ...............##..##...........
  0x00,0x01,0xF8,0x00, // ...............######...........
  0x00,0x00,0xE0,0x00, // ................###.............
  0x00,0x00,0x00,0x00  // ................................
};


const unsigned char bitmap_lightning[] PROGMEM = {
  0x00,0x00,0x00,0x00, // ................................
  0x00,0x00,0xE0,0x00, // ................###.............
  0x00,0x01,0xFF,0x00, // ...............#########........
  0x00,0x03,0xFF,0x00, // ..............##########........
  0x00,0x03,0xC6,0x00, // ..............####...##.........
  0x00,0x07,0xEE,0x00, // .............######.###.........
  0x00,0x07,0x9C,0x00, // .............####..###..........
  0x00,0x0F,0xB8,0x00, // ............#####.###...........
  0x00,0x0E,0x70,0x00, // ............###..###............
  0x00,0x1F,0xF0,0x00, // ...........#########............
  0x00,0x38,0xFF,0x00, // ..........###...########........
  0x00,0x30,0x3F,0x80, // ..........##......#######.......
  0x00,0x70,0x07,0x00, // .........###.........###........
  0x00,0x7F,0x8F,0x00, // .........########...####........
  0x00,0x7F,0x8E,0x00, // .........########...###.........
  0x00,0x73,0x9C,0x00, // .........###..###..###..........
  0x00,0x03,0x38,0x00, // ..............##..###...........
  0x00,0x06,0x30,0x00, // .............##...##............
  0x00,0x06,0x70,0x00, // .............##..###............
  0x00,0x0C,0xE0,0x00, // ............##..###.............
  0x00,0x1C,0xC0,0x00, // ...........###..##..............
  0x00,0xD9,0xC0,0x00, // ........##.##..###..............
  0x01,0xF3,0x80,0x00, // .......#####..###...............
  0x01,0xF3,0xE0,0x00, // .......#####..#####.............
  0x00,0xC1,0xE0,0x00, // ........##.....####.............
  0x00,0xC3,0xC0,0x00, // ........##....####..............
  0x00,0xE7,0x80,0x00, // ........###..####...............
  0x00,0xEE,0x00,0x00, // ........###.###.................
  0x00,0xFC,0x00,0x00, // ........######..................
  0x00,0x70,0x00,0x00, // .........###....................
  0x00,0x60,0x00,0x00, // .........##.....................
  0x00,0x00,0x00,0x00  // ................................
};
